# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.010.
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "A parser for HMMER2 and HMMER3 output (hmmscan, hmmsearch, hmmpfam)",
  "AUTHOR" => "Balamurugan Kumarasamy <fugui\@worf.fugu-sg.org>, Ewan Birney <birney\@ebi.ac.uk>, Jason Stajich <jason\@bioperl.org>, Josh Lauricha <laurichj\@bioinfo.ucr.edu>, Kai Blin <kai.blin\@biotech.uni-tuebingen.de>, Mauricio Herrera Cuadra <mauricio\@open-bio.org>, Sendu Bala <bix\@sendu.me.uk>, Thomas Sharpton <thomas.sharpton\@gmail.com>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Bio-SearchIO-hmmer",
  "EXE_FILES" => [
    "bin/bp_hmmer_to_table.pl",
    "bin/bp_parse_hmmsearch.pl"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.006",
  "NAME" => "Bio::SearchIO::hmmer",
  "PREREQ_PM" => {
    "Bio::Factory::ObjectFactory" => 0,
    "Bio::Index::Abstract" => 0,
    "Bio::PullParserI" => 0,
    "Bio::Root::IO" => 0,
    "Bio::Root::Root" => 0,
    "Bio::Root::Version" => 0,
    "Bio::Search::HSP::GenericHSP" => 0,
    "Bio::Search::HSP::PullHSPI" => 0,
    "Bio::Search::Hit::GenericHit" => 0,
    "Bio::Search::Hit::PullHitI" => 0,
    "Bio::Search::Result::GenericResult" => 0,
    "Bio::Search::Result::PullResultI" => 0,
    "Bio::SearchIO" => 0,
    "Bio::SeqAnalysisParserI" => 0,
    "Bio::SeqFeature::FeaturePair" => 0,
    "Bio::SeqFeature::Generic" => 0,
    "Bio::Tools::IUPAC" => 0,
    "Data::Dumper" => 0,
    "Getopt::Long" => 0,
    "IO::String" => 0,
    "Symbol" => 0,
    "base" => 0,
    "strict" => 0,
    "vars" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Bio::Root::Test" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::More" => 0,
    "lib" => 0
  },
  "VERSION" => "1.7.3",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Bio::Factory::ObjectFactory" => 0,
  "Bio::Index::Abstract" => 0,
  "Bio::PullParserI" => 0,
  "Bio::Root::IO" => 0,
  "Bio::Root::Root" => 0,
  "Bio::Root::Test" => 0,
  "Bio::Root::Version" => 0,
  "Bio::Search::HSP::GenericHSP" => 0,
  "Bio::Search::HSP::PullHSPI" => 0,
  "Bio::Search::Hit::GenericHit" => 0,
  "Bio::Search::Hit::PullHitI" => 0,
  "Bio::Search::Result::GenericResult" => 0,
  "Bio::Search::Result::PullResultI" => 0,
  "Bio::SearchIO" => 0,
  "Bio::SeqAnalysisParserI" => 0,
  "Bio::SeqFeature::FeaturePair" => 0,
  "Bio::SeqFeature::Generic" => 0,
  "Bio::Tools::IUPAC" => 0,
  "Data::Dumper" => 0,
  "File::Spec" => 0,
  "Getopt::Long" => 0,
  "IO::Handle" => 0,
  "IO::String" => 0,
  "IPC::Open3" => 0,
  "Symbol" => 0,
  "Test::More" => 0,
  "base" => 0,
  "lib" => 0,
  "strict" => 0,
  "vars" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
